Skip to content
Back to Steward

Create a webhook

POST
/api/v1/webhooks
object
url
required

URL to deliver webhook payloads to

string
Example
https://your-app.com/webhooks/steward
events
required

Events to subscribe to

Array<string>
Allowed values: application.created application.onboarding_started application.submitted application.updated application.approved application.rejected screening.hits_created screening.enrichment_completed screening.hit_updated document.uploaded risk_score.created risk_score.updated reviewer.assigned reviewer.unassigned note.created note.updated note.deleted
Example
[
"application.submitted",
"application.approved"
]

Webhook created. Secret returned only once.

object
id
required

Webhook ID

string
Example
507f1f77bcf86cd799439011
url
required

URL where webhook payloads are delivered

string
Example
https://your-app.com/webhooks/steward
events
required

Events the webhook is subscribed to

Array<string>
Example
[
"application.submitted",
"application.approved"
]
status
required

Webhook status

string
Allowed values: ACTIVE PAUSED
Example
ACTIVE
createdAt
required

Date the webhook was created

string
Example
2026-03-01T10:00:00.000Z
updatedAt
required

Date the webhook was last updated

string
Example
2026-03-30T12:00:00.000Z
secret
required

Webhook signing secret - shown only once at creation

string
Example
whsec_a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6
Example
{
"id": "507f1f77bcf86cd799439011",
"url": "https://your-app.com/webhooks/steward",
"events": [
"application.submitted",
"application.approved"
],
"status": "ACTIVE",
"createdAt": "2026-03-01T10:00:00.000Z",
"updatedAt": "2026-03-30T12:00:00.000Z",
"secret": "whsec_a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6"
}